// Main
$brand-primary: #157ff1; // 3A7DE3
$brand-accent: #6c63ff;
$brand-accent-alt: #00c661;

// Grayscale
$white: #ffffff;
$black: #3d3f41;
$gray-1: #f6f9fa;
$gray-2: #e5eaf1; //EAEAEC
$gray-3: #e7eaef;
$gray-4: #98a0a9; // Used for light text but also main nav color
$gray-5: #888a8d; // For paragraphs
$gray-6: #595c5f; // Dark color for headlines not black

// Borders
$border-color: $gray-2;
$border-color-on-bg: #d9e0e9;

$brand-color-1: #54bca6; //Teal
$brand-color-2: #45cc6f; //Green
$brand-color-3: #54adcb; //Light blue
$brand-color-4: #626cdd; //Purple
$brand-color-5: #d5539a; //Pink
$brand-color-6: #d2ad4d; //yellow

$current-brand-color: #157ff1;

$purple-link: #b0b0ff;

$main-purple: #5d70f8;
$main-pink: #ef3dc1;
$main-green: #6dc57b;
$main-yellow: #eecf59;
$main-blue: #157ff1;
$main-teal: #49c8ae; //34CEAF

$light-teal: #e7fff2;
$light-purple: #ebedff;
$light-green: #f1fef3;
$light-yellow: #fcf6d5;
$light-blue: #f0fbfe;
$light-pink: #f5eefd;

// Breakpoints

$small: 768px;
$medium: 992px;
$large: 1320px;
$x-large: 1600px;

@mixin bp($point) {
  @if $point == xs {
    @content;
  } @else if $point == xs-sm {
    @media (max-width: $small - 1px) {
      @content;
    }
  } @else if $point == xs-md {
    @media (max-width: $medium - 1px) {
      @content;
    }
  } @else if $point == xs-lg {
    @media (max-width: $large - 1px) {
      @content;
    }
  } @else if $point == sm {
    @media (min-width: $small) {
      @content;
    }
  } @else if $point == sm-md {
    @media (min-width: $small) and (max-width: $medium - 1px) {
      @content;
    }
  } @else if $point == sm-lg {
    @media (min-width: $small) and (max-width: $large - 1px) {
      @content;
    }
  } @else if $point == md {
    @media (min-width: $medium) {
      @content;
    }
  } @else if $point == md-lg {
    @media (min-width: $medium) and (max-width: $large - 1px) {
      @content;
    }
  } @else if $point == lg {
    @media (min-width: $large) {
      @content;
    }
  } @else if $point == xlg {
    @media (min-width: $x-large) {
      @content;
    }
  }
}

.light-mode {
  background: #fff;
  justify-content: space-between;
  height: auto;
}

.dark-mode {
  height: auto;
  justify-content: space-between;
}

.page-influencerpage {
  @include bp(md) {
    margin-bottom: 80px;
  }

  .btn-review {
    height: 35px;
    color: #ffffff;
    line-height: 35px;
    margin-right: 5px;
    border-radius: 35px;

    &.btn-approve {
      border-color: #00c155 !important;
      background-color: #00c155 !important;
    }

    &.btn-decline {
      border-color: #da1b3f !important;
      background-color: #da1b3f !important;
    }
  }

  .main-cta {
    position: fixed;
    z-index: 10;
    bottom: 22px;
    left: 10px;

    .btn-groups {
      margin-left: -20px;

      button {
        height: 50px;
        color: #ffffff;
        min-width: 150px;
        margin-right: 15px;
        border-color: transparent;

        &.btn-approve {
          border-color: #00c155 !important;
          background-color: #00c155 !important;
        }

        &.btn-decline {
          border-color: #da1b3f !important;
          background-color: #da1b3f !important;
        }
      }
    }

    @include bp(xs-sm) {
      width: 100%;
      text-align: center;
      bottom: 75px;
      left: 0;
      .join-campaign-btn-wrapper {
        display: flex;
        justify-content: center;
        .decline {
          padding: 0 10px;
        }
      }
    }

    @include bp(sm) {
      bottom: 30px;
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 100%;
      .join-campaign-btn-wrapper {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
      }
    }

    .decline {
      color: #8d93b9;
      font-weight: 700;

      @include bp(xs-sm) {
        background: #eee;
        height: 46px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 0 24px 24px 0;

        span {
          display: none;
        }
      }
    }

    &:before {
      content: "";
    }

    button {
      height: 70px;
      min-width: 280px;
      font-size: 20px;
      border-radius: 35px;
      transition: all 0.2s ease-out;
      will-change: transform;

      &:active,
      &:focus {
        transform: scale(0.9);
        background: darken($main-pink, 10%) !important;
        border-color: darken($main-pink, 10%) !important;
      }

      @include bp(xs-sm) {
        height: 46px;
        font-size: 16px;
        margin: 0 !important;
        border-radius: 24px;
        min-width: 220px;
      }
    }

    a:not([disabled]) {
      button {
        background: $main-pink;
        border-color: $main-pink;
        box-shadow: 0 5px 24px rgba($main-pink, 0.36);
        transition: 0.2s ease-out;

        width: 100%;
        &.active {
          transform: scale(0.9);
        }
        @include bp(xs-sm) {
          border-radius: 24px 0 0 24px;
        }
      }
    }
  }

  .ant-layout-content {
    margin-bottom: 80px !important;
  }

  .block {
    margin-bottom: 40px;
    @include bp(xs-md) {
    }
    @include bp(md) {
      margin-bottom: 80px;
    }

    h1 {
      @include bp(md) {
        margin-bottom: 10px;
        margin-top: 20px;
      }
    }
  }

  .cover {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 0 0 4px 4px;
    display: flex;
    justify-content: center;
    position: relative;

    .main-header,
    .headline,
    .info-bar {
      z-index: 1;
    }

    &:after {
      content: "";
      background: rgb(0, 0, 0);
      background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 100%);
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
      opacity: 0.7;
      z-index: 0;

      @include bp(xs-md) {
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.25) 0%, rgba(0, 0, 0, 0.5) 100%);
      }
    }

    .headline {
      h1,
      p {
        color: #fff;
        font-weight: 600;
      }
    }

    @include bp(xs-md) {
      flex-direction: column;

      .headline {
        padding: 20px;
      }
    }

    @include bp(md) {
      margin-bottom: 120px;
      height: 600px;

      .headline {
        position: absolute;
        bottom: 100px;
        max-width: 600px;

        h1 {
          font-size: 38px;
          font-weight: bold;
        }

        p {
          font-size: 20px;
          font-weight: 600;
        }
      }
    }
  }

  .nav-cta {
    justify-content: flex-end;
    flex-direction: column;
    align-items: center;
  }

  .intro-text {
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
  }

  .info-bar {
    @include bp(xs-md) {
      margin: 10px;

      .meta-data > div:not(:nth-child(3)) {
        border-bottom: 1px solid $border-color;
      }

      .meta-data {
        .col {
          padding: 15px !important;
        }
      }

      .cta-container {
        display: none;
      }
    }

    @include bp(md) {
      position: absolute;
      bottom: -55px;
      width: calc(100% - 60px);
      max-height: 130px;
      display: flex;
      flex-direction: row;

      .ant-col-lg-5 {
        text-align: center;
      }

      > .meta-data {
        display: flex;
        align-items: center;
        flex: auto;
        justify-content: space-between;
      }
    }

    background: #fff;
    border-radius: 4px;
    overflow: hidden;
    box-shadow: 6px 10px 28px 0 rgba(117, 125, 146, 0.08), 0 15px 40px 0 rgba(117, 171, 255, 0.1), 0 5px 15px 0 rgba(88, 88, 190, 0.1);

    h5 {
      font-size: 16px;
      margin-bottom: 4px;
    }

    h2 {
      margin-bottom: 0;
    }

    .payment-block {
      display: flex;
      flex: 0 0 380px;
      background: #486af1;
      padding: 0 30px;
      flex-direction: row;
      align-items: center;

      @include bp(xs-md) {
        padding: 20px 30px;
      }

      > div:first-of-type {
        margin-right: 20px;
      }

      h2 {
        font-size: 34px;
        line-height: 38px;
      }

      h4 {
        text-transform: none;
        margin-bottom: 0;
      }

      h1,
      h2,
      h3,
      h4,
      h5,
      h6,
      p {
        color: #fff;
      }
    }
  }

  .info-block {
    background: lighten($brand-primary, 46.5%);
    border: 1px solid $brand-primary;
    padding: 8px 16px;
    border-radius: 4px;
    margin-top: 20px;

    p {
      margin-bottom: 0;
      color: $brand-primary;
      font-size: 15px;
    }
  }

  .payment-container,
  .product {
    margin-bottom: 40px;

    &:last-child {
      margin-bottom: 0px;
    }
  }

  .payment-container {
    max-width: 1080px;
    width: 100%;
    display: flex;
    box-shadow: 3px 5px 8px 0 rgba(117, 125, 146, 0.08), 0 15px 40px 0 rgba(117, 171, 255, 0.1), 0 4px 15px 0 rgba(88, 88, 190, 0.1);
    border-radius: 4px;
    background: #fff;
    padding: 30px 20px;

    @include bp(xs-md) {
      flex-direction: column;

      .payment-cash {
        margin-bottom: 30px;
      }
    }

    .payment-content {
      @include bp(md) {
        padding-left: 40px;
      }

      h4 {
        color: $brand-primary;
        font-weight: bold;
      }
    }

    .cash-amount {
      text-align: center;

      > span {
        font-size: 12px;
        color: #8b8f98;
        font-style: italic;
        position: absolute;
        bottom: 5px;
        left: 11px;
      }
    }

    .payment-cash {
      width: 100%;
      min-width: 30%;
      min-height: 100px;
      display: flex;
      flex: 1;
      justify-content: center;
      align-items: center;
      border: 2px solid $brand-primary;
      border-radius: 6px;
      overflow: hidden;
      position: relative;

      span {
        &:before,
        &:after {
          content: "";
          border-radius: 40px;
          border: 2px solid $brand-primary;
          width: 56px;
          height: 56px;
          position: absolute;
          opacity: 0;
        }
      }

      span:first-of-type {
        &:before {
          top: -40px;
          left: -30px;
        }

        &:after {
          top: -40px;
          right: -30px;
        }
      }

      span:last-of-type {
        &:before {
          bottom: -40px;
          left: -30px;
        }

        &:after {
          bottom: -40px;
          right: -30px;
        }
      }

      h2 {
        background: url("waves.png") top left;
        font-size: 36px;
        font-weight: bold;
        color: #0066ff;
        padding: 6px 12px 0;
        margin-bottom: 0;
        line-height: 42px;
      }
    }
  }

  .brief {
    text-align: center;
    display: flex;
    justify-content: center;
    margin: 50px 0;

    @include bp(md) {
      margin: 100px 0 100px;
    }
    .content {
      padding: 80px 0;
      max-width: 780px;
      min-height: 600px;
      display: flex;
      justify-content: center;
      flex-direction: column;
      position: relative;

      @include bp(xs-md) {
        padding: 30px;
      }

      h1,
      p {
        color: #fff;
      }
    }

    .stripes {
      background: linear-gradient(45deg, #3f48d5 0%, #4174e4 100%);
      z-index: 0;
      margin-top: 0px;
      min-height: 600px;
      height: 100%;

      span {
        &:nth-child(1) {
          background: linear-gradient(100grad, rgba(66, 122, 227, 0), rgba(66, 101, 227, 1));
          grid-area: 3 / 12 / span 2 / span 3;
        }
        &:nth-child(2) {
          background: linear-gradient(45deg, rgba(44, 177, 196, 1) 0%, rgba(45, 157, 212, 1) 100%);
          grid-area: 2 / 12 / span 2 / span 2;
        }

        &:nth-child(3) {
          background: #3f49d5;
          grid-area: 6 / 1 / span 2 / span 1;
        }

        &:nth-child(4) {
          background: linear-gradient(45deg, #3742c7 0%, #2d3ec5 100%);
          grid-area: 8 / 1 / span 2 / span 2;
        }

        &:nth-child(5) {
          background: #4473f6;
          opacity: 0.5;
          grid-area: 8 / 3 / span 2 / span 11;

          @include bp(md) {
            grid-area: 9 / 11 / span 1 / span 2;
          }
        }

        &:nth-child(6) {
          background: #ebeff5;
          opacity: 0.5;
          grid-area: 8 / 12 / span 2 / span 4;

          @include bp(md) {
            margin-left: -300px;
            height: 160px;
            margin-top: 168px;
            grid-area: 13 / 12 / span 2 / span 4;
          }
        }
      }
    }
  }

  .payment {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 80px;

    .product {
      max-width: 1080px;
      width: 100%;
      display: flex;
      box-shadow: 3px 5px 8px 0 rgba(117, 125, 146, 0.08), 0 15px 40px 0 rgba(117, 171, 255, 0.1), 0 4px 15px 0 rgba(88, 88, 190, 0.1);
      border-radius: 4px;
      background: #fff;

      @include bp(xs-md) {
        flex-direction: column;
      }

      & + .product {
        margin-top: 40px;
      }
    }

    .product-image {
      width: 100%;
      border-radius: 4px 0 0 4px;
      box-shadow: 0 1px 2px rgba(121, 130, 148, 0.2);
      background-color: #f6f8fd;
      background-size: 100%;
      background-repeat: no-repeat;
      background-position: top left;
      flex: 1;
      min-height: 400px;
      display: flex;
      height: auto;

      @include bp(md) {
        max-width: 400px;
        flex: 0 0 400px;
      }

      .icon {
        width: 100%;
        height: auto;
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 60px;
        border-radius: 4px 4px 0 0;

        @include bp(md) {
          border-radius: 4px 0 0 4px;
        }

        &.blue {
          background: linear-gradient(45deg, #265df4 0%, #4174e4 100%);
        }
      }
    }

    .content {
      padding: 40px;
      flex: 1;
      max-width: 680px;
      word-wrap: break-word;

      h1 {
        margin-top: 0;
        font-size: 30px;
      }

      .price {
        border-top: 1px solid $border-color;
        padding-top: 20px;
        width: 100%;

        h5,
        h1 {
          margin-bottom: 0;
        }
      }
    }
  }

  .moodboard {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 80px;

    .grid {
      width: 100%;
      max-width: 1200px;
      margin: 0px auto;
      padding: 0 0 100px 0;
      display: flex;
      flex-wrap: wrap;

      .item {
        width: 100%;
        position: relative;
        background-color: rgba(0, 0, 0, 0.1);
        img {
          display: block;
          width: 100%;
          object-fit: cover;
          min-height: 500px;
          @include bp(md) {
            min-height: 350px;
          }
        }

        &:before {
          content: "";
          width: 100%;
          height: 100%;
          position: absolute;
          top: 0;
          left: 0;
          background: #000;
          opacity: 0;
          transition: all 0.1s ease-out;
        }

        &:hover {
          &:before {
            opacity: 0.2;
            cursor: pointer;
          }
        }
      }
    }
    .my-masonry-grid {
      display: flex;
      margin-left: -30px; /* gutter size offset */
      width: auto;
      justify-content: center;
    }
    .my-masonry-grid_column {
      padding-left: 20px; /* gutter size */
      background-clip: padding-box;
    }

    /* Style your items */
    .my-masonry-grid_column > div {
      /* change div to reference your elements you put in <Masonry> */
      background: grey;
      margin-bottom: 30px;
    }
  }
  .mentions-tags,
  .tabs {
    width: 100%;
    max-width: 1080px;
    margin-left: auto;
    margin-right: auto;
  }

  .timeline {
    background: linear-gradient(45deg, #415ad2 0%, $main-purple 100%);
    padding: 30px 20px 50px;
    max-width: 1080px;
    margin: 0 auto;
    border-radius: 4px;

    .campaign-timeline {
      max-width: 600px;
      margin: 0 auto;

      .ant-steps-item-content {
        .ant-steps-item-description {
          text-align: left;
        }
      }
    }

    @include bp(md) {
      padding: 30px 50px 50px;
    }

    h1 {
      color: #fff;
    }
  }

  .ending {
    position: relative;
    width: 100%;
    height: 400px;
    display: flex;
    justify-content: center;
    overflow: hidden;

    img {
      position: absolute;
      bottom: 0;
    }
  }

  .brand-color {
    color: $current-brand-color !important;
  }

  .container {
    @include bp(lg) {
      max-width: 1320px;
    }
  }

  h1 {
    font-weight: 700;
    font-size: 22px;

    @include bp(md) {
      font-size: 36px;

      & + p {
        font-size: 20px;
      }
    }
  }

  h2 {
    font-size: 17px;

    @include bp(md) {
      font-size: 26px;
    }

    & + p {
      font-size: 18px;
    }
  }

  @include bp(xs-md) {
    h5 + span {
      font-size: 17px !important;
    }
  }

  h3 {
    font-weight: 400;
    text-transform: uppercase;
    font-size: 17px !important;
    color: $current-brand-color;
  }

  h4 {
    font-weight: 500;
    color: $gray-6;

    &.card-headline {
      margin: 0 0 10px;
      opacity: 0.7;
      font-size: 15px;
      letter-spacing: 0;
      font-weight: 700;
    }
  }

  h5 {
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
    color: #98a0a9;

    @include bp(md) {
      font-size: 18px;
      font-weight: 400;
    }
  }

  @include bp(xs-md) {
    p {
      font-size: 15px;
    }
  }

  .main-header {
    position: relative;
    z-index: 1;
    padding: 0;
    width: 100%;

    @include bp(md) {
      padding: 30px 0;
    }

    .logo {
      width: 270px;
      height: 80px;
      background-position: center;
      background-size: 88%;
      background-repeat: no-repeat;
      padding: 0;
      margin: 30px 0 0;
      border-radius: 4px;
      background-color: #fff;

      @include bp(xs-md) {
        width: 180px;
      }
    }

    > .ant-row {
      flex-direction: column;

      @include bp(md) {
        flex-direction: row;
      }
    }

    .nav-cta {
      justify-content: flex-end;
      flex-direction: column;
      align-items: center;

      @include bp(xs-md) {
        position: absolute;
        margin: 18px 0;

        .ant-btn-primary {
          display: none;
        }
      }

      @include bp(md) {
        justify-content: flex-end;
      }
    }
  }

  .ant-card {
    &.transparent {
      box-shadow: none;
      background: none;
    }

    .ant-card-body {
      padding: 22px 0;

      > hr {
        display: inline-block !important;
        width: 100%;
      }
    }
  }

  .stripess {
    position: absolute;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(auto-fill, 70px);
    transform: skewY(-8deg);
    width: 100%;
    height: 100%;
    display: grid;
    transform-origin: 0;
    z-index: 0;
    height: calc(170px * 4);
    background: linear-gradient(-180deg, #f7fbff 25%, #eef8ff 100%);
    pointer-events: none;
    top: 0;
    left: 0;

    span {
      @include bp(sm) {
        &:nth-child(1) {
          opacity: 0.2;
          background: linear-gradient(90deg, rgba(214, 227, 244, 0.5) 0%, rgba(168, 201, 244, 0.5) 50%);
          grid-area: 1 / 1 / span 2 / span 3;
        }

        &:nth-child(2) {
          background: linear-gradient(45deg, rgba($current-brand-color, 1) 0%, rgba($current-brand-color, 0.2) 100%);
          grid-area: 2 / 9 / span 1 / span 3;
          height: 100px;
        }
      }

      &:nth-child(3) {
        background-image: linear-gradient(90deg, rgba(214, 227, 244, 0.5) 0%, rgba(168, 201, 244, 0.5) 50%);
        grid-area: 4 / 1 / span 2 / span 1;
      }

      &:nth-child(4) {
        background: #dfeaf9;
        opacity: 0.3;
        grid-area: 6 / 12 / span 2 / span 1;
      }

      &:nth-child(5) {
        background: #e5f2f8;
        grid-area: 6 / 1 / span 2 / span 2;
      }

      &:nth-child(6) {
        background: #d8e4f5;
        grid-area: 8 / 11 / span 2 / span 3;
      }
    }
  }

  .block {
    position: relative;
  }

  .logo {
    img,
    svg {
      width: 100%;
    }

    svg path {
      fill: $current-brand-color;
    }
  }

  .btn-primary {
    background: $current-brand-color;
    border-color: $current-brand-color;

    &:hover {
      background: darken($current-brand-color, 5%);
      border-color: darken($current-brand-color, 5%);
    }

    &:focus,
    &:active {
      background: darken($current-brand-color, 10%) !important;
      border-color: darken($current-brand-color, 10%) !important;
    }
  }

  .btn-cta {
    padding: 12px 20px;
  }

  .cover {
    @include bp(xs-md) {
      margin-top: 10px !important;
    }

    .cover-image {
      width: 100%;
      height: 240px;
      background-size: cover;
      background-position: center;
      background-repeat: no-repeat;
      border-radius: 4px;
      position: relative;
      overflow: hidden;

      @include bp(sm) {
        height: 400px;
      }

      @include bp(md) {
        height: 560px;
      }

      &:after {
        content: "";
        background-image: linear-gradient(-181deg, rgba(65, 67, 74, 0) 52%, rgba(0, 0, 0, 0.66) 100%);
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
      }
    }
  }

  .introduction {
    .headline {
      @include bp(xs-md) {
        margin: 20px !important;
      }

      h1 {
        margin-bottom: 8px;
      }

      p {
        font-size: 15px;
        max-width: 500px;
        margin: 0 auto 40px;

        @include bp(md) {
          font-size: 18px;
        }
      }
    }
  }

  .campaign-sidebar {
    background: #fff;
    box-shadow: 6px 10px 28px 0 rgba(117, 125, 146, 0.08), 0 15px 40px 0 rgba(117, 171, 255, 0.1), 0 5px 15px 0 rgba(88, 88, 190, 0.1);
    border-radius: 6px;
    padding: 30px 40px 40px;
    margin: 20px 0;
    transition: 0.3s ease-out;

    @include bp(sm) {
      margin: -192px 40px 0 -40px;
    }

    h1 {
      font-size: 22px;

      @include bp(md) {
        font-size: 26px;
      }

      & + p {
        margin-top: 15px;
        font-size: 18px;
        font-weight: 300;
        margin-bottom: 30px;
      }
    }

    .status {
      border-bottom: 1px solid $border-color;
      padding-bottom: 15px;
    }
  }

  .ant-affix {
    .campaign-sidebar {
      margin-top: 20px;
    }
  }

  .lined {
    list-style-type: none;
    margin: 0;
    padding: 0;
    li {
      position: relative;
      padding-left: 38px;
      margin: 10px 0;
      list-style-type: none;

      &:before {
        height: 2px;
        width: 20px;
        background: darken($gray-3, 8%);
        content: "";
        position: absolute;
        left: 0;
        top: 12px;
      }
    }
  }

  .cta {
    margin-top: 30px;
    padding-top: 30px;

    button {
      font-size: 16px;
      font-weight: 600;
      height: 50px;
      padding: 0 40px;
      width: 100%;
    }

    @include bp(xs-md) {
      position: fixed;
      width: 100%;
      left: 0;
      bottom: 0;
      background: #fff;
      padding: 20px;
      box-shadow: 0 10px 35px 3px rgba(50, 50, 93, 0.5);

      button {
        height: 46px;
        float: left;
        width: 80%;
        margin-top: -1px;
      }
    }
  }

  .brief-meta {
    @include bp(xs-md) {
      > .ant-row > div {
        margin-bottom: 15px;
      }
    }

    h5 {
      font-size: 14px;
      font-weight: 700;
      margin-bottom: 2px;
    }

    h2,
    h2 > span {
      font-size: 17px !important;
      margin-bottom: 0;

      @include bp(sm) {
        font-size: 20px !important;
      }
    }
  }

  .ant-tabs {
    .ant-badge {
      line-height: 27px;
      font-size: 18px;

      &:hover {
        color: $current-brand-color;
      }

      .ant-badge-count {
        background: $current-brand-color;
        height: 13px;
        line-height: 14px;
        font-size: 10px;
        font-weight: bold;
        border-radius: 14px;
        top: -12px;
        .ant-scroll-number-only {
          p {
            color: #fff;
          }
        }
      }
    }

    .ant-tabs-ink-bar {
      background-color: $current-brand-color;
    }
    .ant-tabs-tab:hover,
    .ant-tabs-nav .ant-tabs-tab-active {
      color: $current-brand-color;
    }
  }

  @include bp(md) {
    .ant-card-meta-detail > div:not(:last-child) {
      margin-bottom: 0;
    }
  }
}

.color-dark {
  color: $black;
}

.campaign-timeline {
  width: 100%;
  position: relative;
  z-index: 1;
  margin-top: 30px;
  padding: 0;
  border-radius: 4px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
  background: #f7fbff;

  .ant-steps {
    padding: 26px 30px 20px;

    @include bp(xs-md) {
      overflow-x: scroll;
    }
  }

  .ant-steps-item-title {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 8px;
  }

  .ant-steps-item-description {
    line-height: 20px;
    font-size: 14px;
    text-align: center;
  }

  @keyframes fadeout {
    0% {
      opacity: 1;
    }
    100% {
      opacity: 0;
    }
  }

  .arrow {
    @include bp(xs-md) {
      position: absolute;
      right: 0;
      top: 0;
      width: 90px;
      height: 100%;
      margin: 0;
      display: flex;
      justify-content: flex-end;
      align-items: center;
      background: linear-gradient(90deg, rgba(247, 251, 255, 0) 0%, rgba(247, 251, 255, 1) 95%);

      animation-name: fadeout;
      animation-duration: 3s;
      animation-iteration-count: 1;
      animation-timing-function: ease-out;
      animation-delay: 5s;

      i {
        opacity: 0.2;
      }
    }

    @include bp(md) {
      display: none;
    }
  }

  @keyframes bounce {
    0%,
    20%,
    50%,
    80%,
    100% {
      transform: translateX(0);
    }
    40% {
      transform: translateX(-15px);
    }
    60% {
      transform: translateX(-7px);
    }
  }

  .bounce {
    animation: bounce 2s infinite;
    margin-right: 10px;
  }
}

.product-block {
  width: 100%;
  position: relative;

  .ant-card-meta {
    display: flex;
  }

  h4 + h4 {
    font-size: 16px;
    font-weight: bold;
    color: #157ff1;
    margin-bottom: 0;
  }

  .product-image {
    width: 100px;
    height: 100px;
    background-size: cover;
    border-radius: 4px;
    margin-right: 25px;
  }

  .price {
    background: $gray-1;
    border-radius: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px 0;
    margin-top: 20px;
  }

  .product-link {
    position: absolute;
    top: 17px;
    right: 20px;
    font-size: 24px;
  }
}

.product-link {
  position: absolute;
  top: 17px;
  right: 20px;
  font-size: 24px;
}

.page-landingpage {
  .description {
    white-space: pre-line;
  }
}

.in-loading-campaign {
  display: block;
  margin: 0 auto;
}
